#!/usr/bin/env python

class B:
    def __init__(self, y):
        self.y = y

class A:
    c1 = B
    def __init__(self, b):
        self.c2 = B

b = B(789)
a = A(b)

b1 = A.c1(678)            # A.c1 is just a reference to B
result_678 = b1.y
b2 = a.c1(567)            # a.c1 is just a reference to B
result_567 = b2.y
b3 = a.c2(765)            # a.c2 is just a reference to B
result_765 = b3.y

# vim: tabstop=4 expandtab shiftwidth=4
